const express = require('express');
const router = express.Router();
const ManifestaciondelDolorController = require('../controllers/manifestaciondolor.controller');

// GET all ManifestaciondelDolors
router.get('/', ManifestaciondelDolorController.getAllManifestaciondelDolors);

// GET ManifestaciondelDolor by id
router.get('/:id', ManifestaciondelDolorController.getManifestaciondelDolorById);

// POST a new ManifestaciondelDolor
router.post('/create', ManifestaciondelDolorController.createManifestaciondelDolor);

// PUT update an existing ManifestaciondelDolor
router.put('/update/:id', ManifestaciondelDolorController.updateManifestaciondelDolor);

// DELETE an existing ManifestaciondelDolor
// muy probable no considerar esta opción
// router.delete('/:id', ManifestaciondelDolorController.deleteManifestaciondelDolor);

module.exports = router;
